com.r3corda.node.services.persistence / PerFileCheckpointStorage

# PerFileCheckpointStorage

`class PerFileCheckpointStorage : CheckpointStorage`

File-based checkpoint storage, storing checkpoints per file.

### Constructors

<init> | `PerFileCheckpointStorage(storeDir: Path)` File-based checkpoint storage, storing checkpoints per file.

### Properties

storeDir | `val storeDir: Path`

### Functions

addCheckpoint | `fun addCheckpoint(checkpoint: Checkpoint): Unit` Add a new checkpoint to the store.
forEach | `fun forEach(block: (Checkpoint) -> Boolean): Unit` Allows the caller to process safely in a thread safe fashion the set of all checkpoints. The checkpoints are only valid during the lifetime of a single call to the block, to allow memory management. Return false from the block to terminate further iteration.
removeCheckpoint | `fun removeCheckpoint(checkpoint: Checkpoint): Unit` Remove existing checkpoint from the store. It is an error to attempt to remove a checkpoint which doesnt exist in the store. Doing so will throw an IllegalArgumentException.